LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07200Bug reports[All Projects] Survey takingpublic2013-01-16 16:422013-01-29 12:44
Reporterhelper 
Assigned ToTMSWhite 
PriorityhighSeveritymajor 
StatusclosedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary07200: isEmpty logic at the question fails
DescriptionI have a question that looks at a previous group to check for an answer ((!is_empty(HH_SALT.NAOK) or HH_SALT.NAOK != "A1"))

The above is generated from the UI logic selector within the question.
Steps To Reproduce1. Import attached survey and navigate to the survey.
2. Click on "Test this survey."
3. Do not select any answers for the first group - just click on "Next"

Salt and sugary drink questions appear even thought he logic say not.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130116
BrowserChrome
Database & DB-VersionmySQL
Operating System (Server)Windows 7
Webserver software & versionApache
PHP Version3.4
Attached Files? file icon limesurvey_survey_882993.lss [^] (34,844 bytes) 2013-01-16 16:42

- Relationships

-  Notes
User avatar (23698)
helper (reporter)
2013-01-16 18:29

Workaround: Edit the delete the defined set of logic created by the UI tool and insert the following:

((HH_SALT.NAOK != "" and HH_SALT.NAOK != "A1"))
User avatar (23712)
c_schmitz (administrator)
2013-01-18 22:23

Thomas, any idea?
User avatar (23717)
TMSWhite (reporter)
2013-01-19 01:02

Carsten-

The logic is properly generated from the Conditions editor and properly executed. HH_SALT.NAOK != "A1" will be true for any value that is not A1, including a non-answer.

In general, if you select multiple comparison options within a scenario for a condition, those options are always "OR"ed together. I don't recall any business rules that state they should be ANDed together (such as if you mix != and == comparisons).

So, to the best of my understanding, this is working completely as designed. As helper states, the workaround is easy - just specify the relevance directly instead of using the Conditions GUI.

FYI, I tested this on 1.92 and 2.0.
User avatar (23785)
TMSWhite (reporter)
2013-01-24 06:07

Per the note, this is working as designed.
User avatar (23888)
c_schmitz (administrator)
2013-01-29 12:44

New version 2.00+ Build 120129 released

- Issue History
Date Modified Username Field Change
2013-01-16 16:42 helper New Issue
2013-01-16 16:42 helper File Added: limesurvey_survey_882993.lss
2013-01-16 18:29 helper Note Added: 23698
2013-01-18 22:22 c_schmitz Assigned To => TMSWhite
2013-01-18 22:22 c_schmitz Status new => assigned
2013-01-18 22:23 c_schmitz Note Added: 23712
2013-01-18 22:23 c_schmitz Status assigned => feedback
2013-01-19 01:02 TMSWhite Note Added: 23717
2013-01-24 06:07 TMSWhite Note Added: 23785
2013-01-24 06:07 TMSWhite Status feedback => resolved
2013-01-24 06:07 TMSWhite Resolution open => no change required
2013-01-29 12:44 c_schmitz Note Added: 23888
2013-01-29 12:44 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker